// let host = window.location.protocol+"//"+window.location.hostname;

let host = 'http://111.10.223.232' // 测试环境
// let host = 'http://183.64.175.153' // 测试环境

/*开发环境*/
// let host = 'http://192.168.1.6' // 吴敏
// let host = 'http://notall.nat300.top' // 吴敏
// let host = 'http://10.10.10.69' // 王世飞

// 前端部署访问地址，用于静态文件访问，路径跳转等

// combine为true时五合一部署, 为false时分五个服务部署
let combine = true
var defaultModulePortMap = {
  form: '8082',
  portal: '8084',
  bpmRunTime: '8086',
  bpmModel: '8087',
  uc: '8088',
  cqlt: '18068'
}

window.getModuleRootUrl = function(module) {
  // 默认是全部服务合一的端口
  var modulePort = '29177'// 测试环境
  // var modulePort = '38005' // 开发/测试环境29177  // 9077
  // var modulePort = ''
  if (!combine) {
    modulePort = defaultModulePortMap[module]
  }
  return host + ':' + modulePort   //连接本地需去掉/platform
  // return host + ':' + modulePort  + '/platform' //连接本地需去掉/platform
}

window.context = {
  apkPort: '9078',
  task: host + ':8096',
  // WebSocket: `ws://192.168.1.6` + ':8099', // 本地为8099
  WebSocket: `ws://${new URL(host).hostname}` + ':9067', // 本地为9067  线上 29067
  manage: host + ':9180/mvue', //管理端页面
  download: window.location.origin + '/fvue/static/file/',
  mobile: host + ':9180/mobilevue/login',
  front: host + ':9180/fvue', //前端页面
  totalPlat: host + ':8888', //前端页面
  form: getModuleRootUrl('form'),
  portal: getModuleRootUrl('portal'),
  bpmRunTime: getModuleRootUrl('bpmRunTime'),
  bpmModel: getModuleRootUrl('bpmModel'),
  uc: getModuleRootUrl('uc'),
  mc: getModuleRootUrl('mc'),
  cqlt: getModuleRootUrl('cqlt'),
  securityJsCode: '33035e93f7f07d44ec52c71f3bd64b29',
  defaultLoginUrl: 'http://183.64.175.153:58005/#/home'
}

// 单点配置
window.ssoConfig = {
  mode: '', // 空则不使用单点  支持的模式有  cas oauth basic
  url: 'http://127.0.0.1:8092/oauth/authorize',
  clientId: 'eip7', // oauth模式下需要提供
  logout: 'http://127.0.0.1:8092/logout'
}

/*
* 铁建安全项目服务器目录：
* 前端打包文件： /home/opt/aqsc/fvue
* 后端jar包： /home/opt/aqsc
* */
